package org.springblade.modules.martial.controller;

import com.baomidou.mybatisplus.core.metadata.IPage;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.AllArgsConstructor;
import org.springblade.core.boot.ctrl.BladeController;
import org.springblade.core.mp.support.Condition;
import org.springblade.core.mp.support.Query;
import org.springblade.core.tool.api.R;
import org.springblade.core.tool.utils.Func;
import org.springblade.modules.martial.pojo.entity.MartialLiveUpdate;
import org.springblade.modules.martial.service.IMartialLiveUpdateService;
import org.springframework.web.bind.annotation.*;

/**
 * 比赛实况 控制器
 *
 * @author BladeX
 */
@RestController
@AllArgsConstructor
@RequestMapping("/martial/liveUpdate")
@Tag(name = "比赛实况管理", description = "比赛实况接口")
public class MartialLiveUpdateController extends BladeController {

	private final IMartialLiveUpdateService liveUpdateService;

	/**
	 * 详情
	 */
	@GetMapping("/detail")
	@Operation(summary = "详情", description = "传入ID")
	public R<MartialLiveUpdate> detail(@RequestParam Long id) {
		MartialLiveUpdate detail = liveUpdateService.getById(id);
		return R.data(detail);
	}

	/**
	 * 分页列表
	 */
	@GetMapping("/list")
	@Operation(summary = "分页列表", description = "分页查询")
	public R<IPage<MartialLiveUpdate>> list(MartialLiveUpdate liveUpdate, Query query) {
		IPage<MartialLiveUpdate> pages = liveUpdateService.page(Condition.getPage(query), Condition.getQueryWrapper(liveUpdate));
		return R.data(pages);
	}

	/**
	 * 新增或修改
	 */
	@PostMapping("/submit")
	@Operation(summary = "新增或修改", description = "传入实体")
	public R submit(@RequestBody MartialLiveUpdate liveUpdate) {
		return R.status(liveUpdateService.saveOrUpdate(liveUpdate));
	}

	/**
	 * 删除
	 */
	@PostMapping("/remove")
	@Operation(summary = "删除", description = "传入ID")
	public R remove(@RequestParam String ids) {
		return R.status(liveUpdateService.removeByIds(Func.toLongList(ids)));
	}

}
